## senlin 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
openstacksdk>=0.8.1 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
qpid-python;python_version=='2.7' # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
senlin (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Added git as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:07:06 +0200

senlin (1.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 12:11:21 +0200

senlin (1.0.0~rc1-3) experimental; urgency=medium

  * Wrong template names nova->senlin.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 14:04:19 +0000

senlin (1.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:56:59 +0000

senlin (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 15:58:34 +0100

senlin (1.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 15:55:16 +0100

senlin (1.0.0~b2-1) experimental; urgency=medium

  * Initial release. (Closes: #812414)

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Jan 2016 19:33:45 +0800

=== debian/control ===
Source: senlin
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     python-babel,
                     python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-hacking,
                     python-keystonemiddleware (>= 4.0.0),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mox,
                     python-mox3 (>= 0.7.0),
                     python-openstackdocstheme (>= 1.0.3),
                     python-openstacksdk (>= 0.8.1),
                     python-os-testr (>= 0.4.1),
                     python-oslo.config (>= 3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-pastedeploy (>= 1.5.0),
                     python-pymysql,
                     python-qpid,
                     python-reno,
                     python-requests (>= 2.8.1),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-webob (>= 1.2.3),
                     python-yaml (>= 3.1.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/senlin.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/senlin.git
Homepage: https://github.com/stackforge/senlin

Package: python-senlin
Section: python
Architecture: all
Depends: python-babel,
         python-eventlet (>= 0.18.4),
         python-keystonemiddleware (>= 4.0.0),
         python-migrate (>= 0.9.6),
         python-openstacksdk (>= 0.8.1),
         python-oslo.config (>= 3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-qpid,
         python-requests (>= 2.8.1),
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-tz,
         python-webob (>= 1.2.3),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends},
Description: clustering service for OpenStack clouds - Python 2.7
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the Python 2.7 library.

Package: senlin-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-senlin (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: clustering service for OpenStack clouds - common files
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides common files and configuration.

Package: senlin-api
Architecture: all
Depends: adduser,
         senlin-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: clustering service for OpenStack clouds - API
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the REST API daemon.

Package: senlin-engine
Architecture: all
Depends: adduser,
         senlin-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: clustering service for OpenStack clouds - Engine
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the engine daemon.

Package: senlin-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: clustering service for OpenStack clouds - docs
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_clean:
	rm -rf build
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -f debian/senlin-common.config debian/senlin-common.postinst debian/senlin-api.config debian/senlin-api.postinst
	dh_clean

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-api.postinst

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'senlin\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html
	rm $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html/search.html
	dh_sphinxdoc
endif


override_dh_auto_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/senlin/db/sqlalchemy
	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common
	PYTHONPATH=$(CURDIR)/debian/tmp oslo-config-generator --output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf \
		--wrap-width 140 \
		--namespace senlin.common.config \
		--namespace senlin.api.common.wsgi \
		--namespace senlin.engine.health_manager \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils
	sed -i 's/^[ \t#]*auth_protocol[ \t]*=.*/auth_protocol = http/' $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf

## senlin 2.0.0~b1

=== debian/changelog ===
senlin (2.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fix OS_TEST_PATH=./senlin/tests/unit when running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 15:36:59 +0200

senlin (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Updated Japanese debconf templates (Closes: #820758).
  * Updated Dutch debconf templates (Closes: #823440).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 10:45:45 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: git,
-                     python-babel,
+                     python-babel (>= 2.3.4),
                      python-coverage,
                      python-eventlet (>= 0.18.4),
                      python-hacking,
@@ -23,19 +23,20 @@
                      python-mox,
                      python-mox3 (>= 0.7.0),
                      python-openstackdocstheme (>= 1.0.3),
-                     python-openstacksdk (>= 0.8.1),
+                     python-openstacksdk (>= 0.8.6),
                      python-os-testr (>= 0.4.1),
-                     python-oslo.config (>= 3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-oslo.config (>= 3.9.0),
+                     python-oslo.context (>= 2.2.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.messaging (>= 4.5.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.versionedobjects (>= 1.9.1),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paramiko (>= 1.13.0),
@@ -43,19 +44,20 @@
                      python-pymysql,
                      python-qpid,
                      python-reno,
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-routes,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.10.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tz,
                      python-webob (>= 1.2.3),
                      python-yaml (>= 3.1.0),
                      subunit,
+                     tempest (>= 1:12.0.0),
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/senlin.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/senlin.git
 Homepage: https://github.com/stackforge/senlin
@@ -63,30 +65,31 @@
 Package: python-senlin
 Section: python
 Architecture: all
-Depends: python-babel,
+Depends: python-babel (>= 2.3.4),
          python-eventlet (>= 0.18.4),
          python-keystonemiddleware (>= 4.0.0),
          python-migrate (>= 0.9.6),
-         python-openstacksdk (>= 0.8.1),
-         python-oslo.config (>= 3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-openstacksdk (>= 0.8.6),
+         python-oslo.config (>= 3.9.0),
+         python-oslo.context (>= 2.2.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.0.0),
+         python-oslo.messaging (>= 4.5.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.11.0),
+         python-oslo.versionedobjects (>= 1.9.1),
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-qpid,
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-routes,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-tz,
          python-webob (>= 1.2.3),
          python-yaml (>= 3.1.0),

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'senlin\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+		OS_TEST_PATH=./senlin/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'senlin\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## senlin 2.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
docker-py<1.8.0,>=1.6.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
openstacksdk>=0.8.6 # Apache-2.0
oslo.config>=3.12.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
oslo.versionedobjects>=1.9.1 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
qpid-python;python_version=='2.7' # Apache-2.0
requests>=2.10.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.10.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
senlin (2.0.0~b2-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing EPOC in oslo.config (build-)depends.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 19:54:08 +0000

senlin (2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of the debconf templates (Closes: #830651).
  * Blacklist failing tests:
    - test_common_context.TestRequestContext.test_request_context_from_dict
    - test_common_context.TestRequestContext.test_request_context_init
    - test_common_context.TestRequestContext.test_request_context_update

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:37:23 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
 Build-Depends-Indep: git,
                      python-babel (>= 2.3.4),
                      python-coverage,
+                     python-docker (>= 1.6.0),
                      python-eventlet (>= 0.18.4),
                      python-hacking,
+                     python-jsonpath-rw (>= 1.2.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.3),
@@ -25,17 +27,17 @@
                      python-openstackdocstheme (>= 1.0.3),
                      python-openstacksdk (>= 0.8.6),
                      python-os-testr (>= 0.4.1),
-                     python-oslo.config (>= 3.9.0),
-                     python-oslo.context (>= 2.2.0),
+                     python-oslo.config (>= 1:3.12.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.5.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslo.versionedobjects (>= 1.9.1),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
@@ -49,13 +51,14 @@
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.10.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tz,
                      python-webob (>= 1.2.3),
                      python-yaml (>= 3.1.0),
                      subunit,
-                     tempest (>= 1:12.0.0),
+                     tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/senlin.git/
@@ -66,21 +69,23 @@
 Section: python
 Architecture: all
 Depends: python-babel (>= 2.3.4),
+         python-docker (>= 1.6.0),
          python-eventlet (>= 0.18.4),
+         python-jsonpath-rw (>= 1.2.0),
          python-keystonemiddleware (>= 4.0.0),
          python-migrate (>= 0.9.6),
          python-openstacksdk (>= 0.8.6),
-         python-oslo.config (>= 3.9.0),
-         python-oslo.context (>= 2.2.0),
+         python-oslo.config (>= 1:3.12.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.5.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.15.0),
          python-oslo.versionedobjects (>= 1.9.1),
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),

## senlin 2.0.0~b3

=== requirements.txt ===
--- 
+++ 
@@ -8,10 +8,11 @@
 eventlet!=0.18.3,>=0.18.2 # MIT
 jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
-openstacksdk>=0.8.6 # Apache-2.0
-oslo.config>=3.12.0 # Apache-2.0
-oslo.context>=2.4.0 # Apache-2.0
-oslo.db>=4.1.0 # Apache-2.0
+microversion-parse>=0.1.2 # Apache-2.0
+openstacksdk>=0.9.4 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.context>=2.9.0 # Apache-2.0
+oslo.db>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
@@ -19,8 +20,8 @@
 oslo.policy>=1.9.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
-oslo.versionedobjects>=1.9.1 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
+oslo.versionedobjects>=1.13.0 # Apache-2.0
 PasteDeploy>=1.5.0 # MIT
 pytz>=2013.6 # MIT
 PyYAML>=3.1.0 # MIT
@@ -31,5 +32,5 @@
 six>=1.9.0 # MIT
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
 WebOb>=1.2.3 # MIT

=== debian/changelog ===
senlin (2.0.0~b3-1+43~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 19 Sep 2016 14:13:33 +0000

senlin (2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Fixed missing EPOC in oslo.config (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:35:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -20,16 +20,17 @@
                      python-hacking,
                      python-jsonpath-rw (>= 1.2.0),
                      python-keystonemiddleware (>= 4.0.0),
+                     python-microversion-parse (>= 0.1.2),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.3),
                      python-mox,
                      python-mox3 (>= 0.7.0),
                      python-openstackdocstheme (>= 1.0.3),
-                     python-openstacksdk (>= 0.8.6),
+                     python-openstacksdk (>= 0.9.4),
                      python-os-testr (>= 0.4.1),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 5.2.0),
@@ -37,12 +38,13 @@
                      python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
-                     python-oslo.versionedobjects (>= 1.9.1),
+                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.versionedobjects (>= 1.13.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paramiko (>= 1.13.0),
                      python-pastedeploy (>= 1.5.0),
+                     python-pep8,
                      python-pymysql,
                      python-qpid,
                      python-reno,
@@ -50,7 +52,7 @@
                      python-routes,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-tempest (>= 1:12.1.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -61,8 +63,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/senlin.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/senlin.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-senlin
+Vcs-Git: https://git.openstack.org/openstack/deb-senlin
 Homepage: https://github.com/stackforge/senlin
 
 Package: python-senlin
@@ -73,11 +75,12 @@
          python-eventlet (>= 0.18.4),
          python-jsonpath-rw (>= 1.2.0),
          python-keystonemiddleware (>= 4.0.0),
+         python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.9.6),
-         python-openstacksdk (>= 0.8.6),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-openstacksdk (>= 0.9.4),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.messaging (>= 5.2.0),
@@ -85,8 +88,8 @@
          python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
-         python-oslo.versionedobjects (>= 1.9.1),
+         python-oslo.utils (>= 3.16.0),
+         python-oslo.versionedobjects (>= 1.13.0),
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-qpid,
@@ -94,7 +97,7 @@
          python-routes,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-tz,
          python-webob (>= 1.2.3),
          python-yaml (>= 3.1.0),

## senlin 2.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
 microversion-parse>=0.1.2 # Apache-2.0
-openstacksdk>=0.9.4 # Apache-2.0
+openstacksdk>=0.9.5 # Apache-2.0
 oslo.config>=3.14.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
 oslo.db>=4.10.0 # Apache-2.0

=== debian/changelog ===
senlin (2.0.0~rc1-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 22:35:01 +0000

senlin (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Fixed missing EPOC in oslo.config (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:35:46 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                      python-mox,
                      python-mox3 (>= 0.7.0),
                      python-openstackdocstheme (>= 1.0.3),
-                     python-openstacksdk (>= 0.9.4),
+                     python-openstacksdk (>= 0.9.5),
                      python-os-testr (>= 0.4.1),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
@@ -63,8 +63,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-senlin
-Vcs-Git: https://git.openstack.org/openstack/deb-senlin
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-senlin?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-senlin -b debian/newton
 Homepage: https://github.com/stackforge/senlin
 
 Package: python-senlin
@@ -77,7 +77,7 @@
          python-keystonemiddleware (>= 4.0.0),
          python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.9.6),
-         python-openstacksdk (>= 0.9.4),
+         python-openstacksdk (>= 0.9.5),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
          python-oslo.db (>= 4.10.0),

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		OS_TEST_PATH=./senlin/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'senlin\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+		OS_TEST_PATH=./senlin/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## senlin 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,17 +7,17 @@
 docker-py<1.8.0,>=1.6.0 # Apache-2.0
 eventlet!=0.18.3,>=0.18.2 # MIT
 jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
-keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
+keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
 microversion-parse>=0.1.2 # Apache-2.0
-openstacksdk>=0.9.5 # Apache-2.0
+openstacksdk>=0.9.7 # Apache-2.0
 oslo.config>=3.14.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.log>=1.14.0 # Apache-2.0
+oslo.log>=3.11.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
-oslo.policy>=1.9.0 # Apache-2.0
+oslo.policy>=1.14.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0

=== debian/changelog ===
senlin (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858712).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 12:35:16 +0200

senlin (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 13:02:01 +0100

senlin (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:24:15 +0200

senlin (2.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed oslo-config-generator namespaces.
  * Debconf translation:
    - it (Closes: #839079).

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -19,7 +19,7 @@
                      python-eventlet (>= 0.18.4),
                      python-hacking,
                      python-jsonpath-rw (>= 1.2.0),
-                     python-keystonemiddleware (>= 4.0.0),
+                     python-keystonemiddleware (>= 4.2.0),
                      python-microversion-parse (>= 0.1.2),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.3),
@@ -32,16 +32,16 @@
                      python-oslo.context (>= 2.9.0),
                      python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 1.14.0),
+                     python-oslo.log (>= 3.11.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.policy (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslo.versionedobjects (>= 1.13.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 1.13.0),
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
@@ -74,7 +74,7 @@
          python-docker (>= 1.6.0),
          python-eventlet (>= 0.18.4),
          python-jsonpath-rw (>= 1.2.0),
-         python-keystonemiddleware (>= 4.0.0),
+         python-keystonemiddleware (>= 4.2.0),
          python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.9.6),
          python-openstacksdk (>= 0.9.5),
@@ -82,10 +82,10 @@
          python-oslo.context (>= 2.9.0),
          python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.14.0),
+         python-oslo.log (>= 3.11.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.9.0),
+         python-oslo.policy (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.16.0),
@@ -145,6 +145,7 @@
 Package: senlin-api
 Architecture: all
 Depends: adduser,
+         ${ostack-lsb-base},
          senlin-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
@@ -166,6 +167,7 @@
 Package: senlin-engine
 Architecture: all
 Depends: adduser,
+         ${ostack-lsb-base},
          senlin-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},

## senlin 3.0.0~b2

=== debian/changelog ===
senlin (3.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New usptream release.
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Jan 2017 10:54:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: senlin
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 54~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -14,54 +15,54 @@
                python-sphinx,
 Build-Depends-Indep: git,
                      python-babel (>= 2.3.4),
-                     python-coverage,
+                     python-coverage (>= 4.0),
                      python-docker (>= 1.6.0),
-                     python-eventlet (>= 0.18.4),
-                     python-hacking,
+                     python-eventlet (>= 0.18.2),
+                     python-hacking (>= 0.10.2),
                      python-jsonpath-rw (>= 1.2.0),
                      python-keystonemiddleware (>= 4.2.0),
                      python-microversion-parse (>= 0.1.2),
                      python-migrate (>= 0.9.6),
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-mox,
                      python-mox3 (>= 0.7.0),
-                     python-openstackdocstheme (>= 1.0.3),
-                     python-openstacksdk (>= 0.9.5),
-                     python-os-testr (>= 0.4.1),
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-openstacksdk (>= 0.9.10),
+                     python-os-testr (>= 0.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.10.0),
+                     python-oslo.db (>= 4.11.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.14.0),
+                     python-oslo.policy (>= 1.17.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslo.versionedobjects (>= 1.13.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.versionedobjects (>= 1.17.0),
+                     python-osprofiler,
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-paramiko (>= 1.13.0),
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
                      python-pymysql,
                      python-qpid,
-                     python-reno,
                      python-requests (>= 2.10.0),
-                     python-routes,
+                     python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-tempest (>= 1:12.1.0),
-                     python-testscenarios,
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tz,
-                     python-webob (>= 1.2.3),
-                     python-yaml (>= 3.1.0),
+                     python-webob (>= 1.6.0),
+                     python-yaml (>= 3.10.0),
                      subunit,
                      tempest (>= 1:12.1.0),
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-senlin?h=debian%2Fnewton
 Vcs-Git: https://git.openstack.org/openstack/deb-senlin -b debian/newton
@@ -72,37 +73,37 @@
 Architecture: all
 Depends: python-babel (>= 2.3.4),
          python-docker (>= 1.6.0),
-         python-eventlet (>= 0.18.4),
+         python-eventlet (>= 0.18.2),
          python-jsonpath-rw (>= 1.2.0),
          python-keystonemiddleware (>= 4.2.0),
          python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.9.6),
-         python-openstacksdk (>= 0.9.5),
+         python-openstacksdk (>= 0.9.10),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.10.0),
+         python-oslo.db (>= 4.11.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.2.0),
+         python-oslo.messaging (>= 5.14.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.14.0),
+         python-oslo.policy (>= 1.17.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
-         python-oslo.versionedobjects (>= 1.13.0),
+         python-oslo.utils (>= 3.18.0),
+         python-oslo.versionedobjects (>= 1.17.0),
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-qpid,
          python-requests (>= 2.10.0),
-         python-routes,
+         python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          python-tz,
-         python-webob (>= 1.2.3),
-         python-yaml (>= 3.1.0),
-         ${misc:Depends},
-         ${python:Depends},
+         python-webob (>= 1.6.0),
+         python-yaml (>= 3.10.0),
+         ${misc:Depends},
+         ${python:Depends}
 Description: clustering service for OpenStack clouds - Python 2.7
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -126,7 +127,7 @@
          python-senlin (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: clustering service for OpenStack clouds - common files
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -145,10 +146,9 @@
 Package: senlin-api
 Architecture: all
 Depends: adduser,
-         ${ostack-lsb-base},
          senlin-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: clustering service for OpenStack clouds - API
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -167,10 +167,9 @@
 Package: senlin-engine
 Architecture: all
 Depends: adduser,
-         ${ostack-lsb-base},
          senlin-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: clustering service for OpenStack clouds - Engine
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -189,8 +188,7 @@
 Package: senlin-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: clustering service for OpenStack clouds - docs
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
